mxGUI(1)

NAME
mxgui - The mcxtrace graphical user interface

SYNOPSIS
mxgui [INSTR]

DESCRIPTION
The front-end mxgui provides a graphical user interface that interfaces the various parts of the mcxtrace package. It is started from a shell/command prompt using simply the command mxgui The mxgui program may optionally be given the name INSTR of an instrument file. When the front-end is started, a main window is opened. This window displays the output from compiling and running simulations, and also contains a few menus and buttons. The main purpose of the front-end is to edit and compile instrument definitions, run the simulations, and visualize the results.

OPTIONS

INSTR
    optional name of the instrument to open.

FILES
/usr/share/mcxtrace/resources /usr/share/mcxtrace/tools/Python/mccodelib/mccode_config.json ~/.mcxtrace/mccode_config.json http://www.mcxtrace.org

EXAMPLES

Open the Test_SX example (Single crystal diffraction)

•   mxgui Test_SX.instr

AUTHORS
mcxtrace Team (mcxtrace.org)

SEE ALSO
mcxtrace(1), mxdoc(1), mxplot(1), mxrun(1), mxgui(1), mxdisplay(1)

AUTHORS
MCXTRACE xray Ray Tracing Team.